# MOTT
# MOTT Method Subcellular Localization Predictions

[SAMPLE]
FIELD_ACCESSION java.lang.Integer 1

# too many results returned
#[TEST_DATUM]
#secreted

[CORE]
FIELD_ANNOTATION SELECT name FROM MOTT__$CELLULAR_STRUCTURES WHERE id="@FIELD_ACCESSION@"

[LINKAGE_TO]
LINK_SWISSPROT   SELECT FKDest__value AS FIELD_ACCESSION, score AS FIELD_SCORE FROM MOTT__DATA__LINKAGES$SWISSPROT WHERE FKSrc__value="@FIELD_ACCESSION@" ORDER BY score
LINK_TREMBL      SELECT FKDest__value AS FIELD_ACCESSION, score AS FIELD_SCORE FROM MOTT__DATA__LINKAGES$TREMBL WHERE FKSrc__value="@FIELD_ACCESSION@" ORDER BY score

[LINKAGE_FROM]
LINK_SWISSPROT   SELECT FKSrc__value AS FIELD_ACCESSION, score AS FIELD_SCORE FROM MOTT__DATA__LINKAGES$SWISSPROT WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY score
LINK_TREMBL      SELECT FKSrc__value AS FIELD_ACCESSION, score AS FIELD_SCORE FROM MOTT__DATA__LINKAGES$TREMBL WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY score

[KEYWORD]
FIELD_ACCESSION  SELECT id FROM MOTT__$CELLULAR_STRUCTURES WHERE %id% LIKE '@keyword@' ORDER BY id
FIELD_ANNOTATION SELECT id FROM MOTT__$CELLULAR_STRUCTURES WHERE %name% LIKE '@keyword@' ORDER BY id

